/***
* Výňatek z knihy "HTML5 a CSS3", vydal Computer Press.
* Autorská práva ke kódu. Nesmí se použít jako materiály k výuce, 
* v kurzech, knihách, článcích a podobně. V případě dotazů nás kontaktujte.
* Ručíme, že kódy ke knize odpovídají svému účelu. 
* Více informací o knize najdete na http://knihy.cpress.cz/k1948.
***/
/* http://beckelman.net/post/2009/02/16/Use-jQuery-to-Show-a-Linke28099s-Address-After-its-Text-When-Printing-In-IE6-and-IE7.aspx */

$(function() {
  if (window.onbeforeprint !== undefined) {  
      window.onbeforeprint = ukazatOdkazy;
      window.onafterprint = skrytOdkazy;
  }
});

function ukazatOdkazy() {  
  $("a").each(function() {
    $(this).data("textOdkazu", $(this).text());
    $(this).append(" (" + $(this).attr("href") + ")");                
  });
}

function skrytOdkazy() {   
  $("a").each(function() {
    $(this).text($(this).data("textOdkazu"));
  });
}
